## barracuda 0.8-5

=== Makefile ===
# $Id: Makefile,v 1.2 1999/11/30 01:42:34 mag Exp $

all:

install:
	mkdir -p $(DESTDIR)/var/www/barracuda
	cp *.php3 *.inc *.html $(DESTDIR)/var/www/barracuda
	mkdir -p $(DESTDIR)/usr/lib/barracuda
	cp -f *.sh *.sql *.pl sumove suread suls surm $(DESTDIR)/usr/lib/barracuda

clean:
	rm -f *~ *.out

=== debian/changelog ===
barracuda (0.8-5) unstable; urgency=low

  * lintian-clean: /var/barracuda->/var/lib/barracuda,
  	do the fhs doc transition, suidregisters from postinst
  * Added usecatupd when user created with createuser privileges. Fixes #50194.
  * Started a FAQ.
  * Using refint.pl to generate referential integrity constraints
  * Other bugfixes: What else?
  * there was a 0.8-4, honest. Bug fixed: cannot create new object

 -- Arpad Magossanyi <mag@bunuel.tii.matav.hu>  Mon, 28 Jun 1999 12:10:45 +0200

barracuda (0.8-3) unstable; urgency=low

  * Advanced user-group administration to really move toward the very
    required access control.
  * Some function cleanup, rewrite.
  * This upgrade is made by #

 -- Arpad Magossanyi <mag@bunuel.tii.matav.hu>  Mon, 28 Jun 1999 12:10:45 +0200

barracuda (0.8-2) unstable; urgency=low

  * Fixed bug #39860 (i386 executes left in source, not rebuilding them).

 -- Arpad Magossanyi <mag@bunuel.tii.matav.hu>  Mon, 21 Jun 1999 18:27:50 +0200

barracuda (0.8-1) unstable; urgency=low

  * Preliminary Test Release missing some important features, first release.

 -- Arpad Magossanyi <mag@bunuel.tii.matav.hu>  Thu, 17 Jun 1999 14:24:55 +0200

barracuda (0.8-0) unstable; urgency=low

  * Preliminary Test Release missing some important features.

 -- Laszlo Keresztfalvi <kereszt@bunuel.tii.matav.hu>  Thu, 17 Jun 1999 14:24:55 +0200


Local variables:
mode: debian-changelog
add-log-mailing-address: "mag@bunuel.tii.matav.hu"
End:

=== debian/control ===
Source: barracuda
Section: misc
Priority: optional
Maintainer: Arpad Magosanyi <mag@bunuel.tii.matav.hu>
Standards-Version: 2.5.0

Package: barracuda
Architecture: any
Pre-depends: libdbd-pg-perl
Depends: bash, php3, php3-pgsql, libdbi-perl, postgresql (>=6.4.2-1), postgresql-contrib (>=6.4.2-1), ${shlibs:Depends}
Description: Web based Task Tracking (and document directory) System
 This is a Web-based Task Tracking (and document directory) System which uses
 Postgres database engine and written in PHP3 and C.
 .
 It is a preliminary version: It works, but there are some things which
 should be written, namely some triggers to ensure database consistency,
 access control, etc.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=barracuda

build:
	$(checkdir)
	
	$(MAKE) CFLAGS="-O2 -g -Wall"
	$(MAKE) -f Makefile.sutools CFLAGS="-O2 -g -Wall" sutools
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-$(MAKE) -f Makefile.sutools clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars


binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd changelog FAQ TODO README *.c *.h Makefile.sutools
	dpkg-gencontrol
	dh_fixperms 
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
